<<<<<<< HEAD ======= Drawable | SDF-2D - v0.7.6 >>>>>>> 2454f2f37d581c69f5d0c844a028712ddbc0a1cc

Base class of every drawable object.

To create your own drawables, you need to subclass from this.

> Although lights are also subclasses of Drawable, you cannot create your own light sources.

### Hierarchy

- Drawable
  - ColorfulCircle

## Index

### Properties

- descriptor

### Methods

- getObjectToSerialize
- minDistance

## Properties

### Static Readonly descriptor

descriptor: DrawableDescriptor

<<<<<<< HEAD
- Defined in drawables/drawable.ts:15
=======
- Defined in drawables/drawable.ts:15
>>>>>>> 2454f2f37d581c69f5d0c844a028712ddbc0a1cc

This should be defined in inherited classes.

## Methods

### Protected Abstract getObjectToSerialize

- getObjectToSerialize(transform2d: mat2d, transform1d: number): any

- <<<<<<< HEAD
  - Defined in drawables/drawable.ts:34
  =======
  - Defined in drawables/drawable.ts:34
  >>>>>>> 2454f2f37d581c69f5d0c844a028712ddbc0a1cc

  Return the values that should be given to the shaders through uniform inputs.

  #### Parameters

  - ##### transform2d: mat2d

    position-like properties should be transformed by this matrix before being returned.

  - ##### transform1d: number

    scalar properties should be transformed by this number before being returned.

  #### Returns any

### Abstract minDistance

- minDistance(target: vec2): number

- <<<<<<< HEAD
  - Defined in drawables/drawable.ts:24
  =======
  - Defined in drawables/drawable.ts:24
  >>>>>>> 2454f2f37d581c69f5d0c844a028712ddbc0a1cc

  The lower bound of the distance between the target and the object.

  It can return 0 by default, the only consequence of this, is a reduced performance. Because this object won't benefit from tile-based rendering.

  #### Parameters

  - ##### target: vec2

  #### Returns number